/**
 * Returns true if the given object quacks like an action.
 *
 * @param {any} object Object to test
 *
 * @return {object is import('redux').AnyAction}  Whether object is an action.
 */
export function isAction(object: any): object is import("redux").AnyAction;
/**
 * Returns true if the given object quacks like an action and has a specific
 * action type
 *
 * @param {unknown} object       Object to test
 * @param {string}  expectedType The expected type for the action.
 *
 * @return {object is import('redux').AnyAction} Whether object is an action and is of specific type.
 */
export function isActionOfType(object: unknown, expectedType: string): object is import("redux").AnyAction;
//# sourceMappingURL=is-action.d.ts.map